#ifndef _IMAGE_HPP_
#define _IMAGE_HPP_

#include <memory>

class Image {
public:
    static std::shared_ptr<Image> load_from_file(const char* filename);

    virtual ~Image() = default;
    virtual std::pair<int32_t, int32_t> img_size() = 0;
    virtual const unsigned char* img_data() = 0;
};

#endif
